Subject: bug#70511: Option to grep into compressed files

From: [email-masked]
Date: Tue, 23 Apr 2024 15:46:01 -0500

Paul Eggert wrote:
> I have some qualms though, as the new option would increase the attack 
> surface for 'grep',

Agreed.

Given the recent uproar involving liblzma being linked into ssh in systemd
builds, resulting in a potentially very dangerous ssh compromise ...

... I would think that minimizing the attack surface on common commands
by not linking in non-essential compression libraries would be a no brainer.

-- 
Paul Jackson
  [email-masked]